# unordered

Returns a random permutation of its argument

unordered($sourceSeq as item()*) → item()*

Arguments
| $sourceSeq | item()* | The input sequence
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The Saxon implementation currently returns the input sequence unchanged, except where the expression used as the argument navigates a reverse axis (for example the ancestor or preceding-sibling axis), in which case the presence of the function causes the nodes to be returned in document order rather than reverse document order.

Next